View Issue Details

IDProjectCategoryView StatusLast Update
0006319CentOS-6irqbalancepublic2013-11-22 20:36
ReporterZykov Ilya 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformLinuxOSCentOS PlusOS Versionx86_64
Product Version6.4 
Target VersionFixed in Version6.5 
Summary0006319: No irq handler for vector
DescriptionAfter upgrade to 2.6.32-358.2.1.el6.centos.plus.x86_64,
I have on my /var/log/messages
  kernel: __ratelimit: 90 callbacks suppressed
  kernel: do_IRQ: 0.182 No irq handler for vector (irq -1)

before irqbalance 1.0.4 not worked on 2.6.32-358.0.1.el6.x86_64
because didn't have NUMA node symlinks for CPU devices in sysfs.
Now I use irqbalance-0.55-35.el6_3.
TagsNo tags attached.

Activities

Zykov Ilya

Zykov Ilya

2013-03-14 13:39

reporter   ~0016713

But maybe it can be something else.
someoneelse

someoneelse

2013-03-20 13:05

reporter   ~0016784

Same problem here.

Started after I updated the kernel to: kernel-2.6.32-358.2.1.el6.x86_64


pulseaudio[3042]: ratelimit.c: 1290 events suppressed
pulseaudio[3042]: ratelimit.c: 1259 events suppressed
kernel: do_IRQ: 0.201 No irq handler for vector (irq -1)
kernel: do_IRQ: 0.79 No irq handler for vector (irq -1)
kernel: do_IRQ: 0.201 No irq handler for vector (irq -1)
kernel: do_IRQ: 1.139 No irq handler for vector (irq -1)
pulseaudio[3042]: ratelimit.c: 522 events suppressed
pulseaudio[3042]: ratelimit.c: 1242 events suppressed


the kernel messages appear on all terminals :(
toracat

toracat

2013-03-20 15:29

manager   ~0016786

It is probably the issue documented here:

https://access.redhat.com/knowledge/solutions/110053

Unfortunately the actual BZ is not open to the public.
toracat

toracat

2013-07-01 16:14

manager   ~0017612

This upstream BZ is now open to the public:

https://bugzilla.redhat.com/show_bug.cgi?id=887006
toracat

toracat

2013-07-18 12:26

manager   ~0017700

I got a patch from comment #33 of BZ887006:

https://bugzilla.redhat.com/show_bug.cgi?id=887006#c33

and rebuilt the current version of centosplus kernel with it. Please test if you can to see if this patch addresses the issue reported here.

The packages are here:

http://people.centos.org/toracat/kernel/6/plus/bug6319/
(2.6.32-358.14.1.bug6319.el6.centos.plus)

Please note that they are not signed and are provided for testing purposes only.
toracat

toracat

2013-08-27 21:34

manager   ~0017903

Last edited: 2013-09-05 17:41

View 2 revisions

The patch is now in kernel-2.6.32-358.18.1.el6.centos.plus to be released shortly.

[EDIT] it's been released.

toracat

toracat

2013-09-05 22:14

manager   ~0017936

BZ887006 was made private again.
Zykov Ilya

Zykov Ilya

2013-10-01 06:27

reporter   ~0018114

uname -a
2.6.32-358.18.1.el6.centos.plus.x86_64

With intensive interrupt requests I have in /var/log/messages:
 kernel: do_IRQ: 2.71 No irq handler for vector (irq -1).
Sample - if launch "raid-check". I will have many "ahci" interrupts and
this message in log file.

            CPU0 CPU1 CPU2 CPU3
   0: 144 0 0 0 IO-APIC-edge timer
   4: 256427 0 0 0 IO-APIC-edge serial
   8: 1 0 0 0 IO-APIC-edge rtc0
   9: 0 0 0 0 IO-APIC-fasteoi acpi
  20: 73695 0 0 0 IO-APIC-fasteoi ehci_hcd:usb2
  22: 62 0 0 0 IO-APIC-fasteoi ehci_hcd:usb1
  24: 1315 0 0 0 HPET_MSI-edge hpet2
  25: 0 0 0 0 HPET_MSI-edge hpet3
  26: 0 0 0 0 HPET_MSI-edge hpet4
  27: 0 0 0 0 HPET_MSI-edge hpet5
  31: 0 0 0 0 PCI-MSI-edge pciehp
  34: 6604 0 0 37942683 PCI-MSI-edge ahci
  35: 3944641 0 0 0 PCI-MSI-edge eth1
  36: 45 759342 0 0 PCI-MSI-edge eth0-rx-0
  37: 13 0 429207 0 PCI-MSI-edge eth0-tx-0
  38: 2 0 0 0 PCI-MSI-edge eth0
  39: 0 0 0 0 PCI-MSI-edge eth4
  40: 2 1 0 0 PCI-MSI-edge eth2
  41: 38 0 16157437 0 PCI-MSI-edge eth2-TxRx-0
  42: 2 0 0 1 PCI-MSI-edge eth3
  43: 5206435 0 0 0 PCI-MSI-edge eth3-TxRx-0
 NMI: 23489 15633 7730 6496 Non-maskable interrupts
 LOC: 106888168 98303025 79924342 59990772 Local timer interrupts
 SPU: 0 0 0 0 Spurious interrupts
 PMI: 23489 15633 7730 6496 Performance monitoring interrupts
 IWI: 0 0 0 0 IRQ work interrupts
 RES: 11575302 8827016 9657472 10230215 Rescheduling interrupts
 CAL: 64486658 59662716 21834178 14948107 Function call interrupts
 TLB: 616537 799248 200828 105534 TLB shootdowns
 TRM: 0 0 0 0 Thermal event interrupts
 THR: 0 0 0 0 Threshold APIC interrupts
 MCE: 0 0 0 0 Machine check exceptions
 MCP: 1317 1317 1317 1317 Machine check polls
 ERR: 0
 MIS: 0
Zykov Ilya

Zykov Ilya

2013-10-01 06:31

reporter   ~0018115

Solution:
Use "irqbalance" with "--oneshot" parameter.
toracat

toracat

2013-11-22 18:06

manager   ~0018385

https://bugzilla.redhat.com/show_bug.cgi?id=887006 was resolved in EL6.5GA.

Issue History

Date Modified Username Field Change
2013-03-14 13:16 Zykov Ilya New Issue
2013-03-14 13:39 Zykov Ilya Note Added: 0016713
2013-03-20 13:05 someoneelse Note Added: 0016784
2013-03-20 15:29 toracat Note Added: 0016786
2013-03-20 15:31 toracat Status new => acknowledged
2013-07-01 16:14 toracat Note Added: 0017612
2013-07-18 12:26 toracat Note Added: 0017700
2013-07-18 12:27 toracat Status acknowledged => feedback
2013-08-27 21:34 toracat Note Added: 0017903
2013-08-27 21:34 toracat Status feedback => assigned
2013-09-05 17:41 toracat Note Edited: 0017903 View Revisions
2013-09-05 22:14 toracat Note Added: 0017936
2013-10-01 06:27 Zykov Ilya Note Added: 0018114
2013-10-01 06:31 Zykov Ilya Note Added: 0018115
2013-11-22 18:06 toracat Note Added: 0018385
2013-11-22 20:34 toracat Resolution open => fixed
2013-11-22 20:34 toracat Fixed in Version => 6.5
2013-11-22 20:36 toracat Status assigned => resolved